CirrusSearch: Regex knock on issues
Closed, ResolvedPublic

Description

Regex queries will need more time to run than the standard 10 seconds. We should give them 30 or something.

Also, we should improve the error message when a query times out.

Finally, we should *make sure* that the regex filter comes last in the chain of stuff that Elasticsearch does because we know it'll be the slowest thing. That way we're super duper sure that stuff like <<insource:foo insource:/foo/>> is actually faster then plain <<insource:/foo/>>.


Version: unspecified
Severity: normal

bzimport added a project: CirrusSearch.Via ConduitNov 22 2014, 3:27 AM
bzimport set Reference to bz67418.
Manybubbles created this task.Via LegacyJul 2 2014, 3:29 PM
gerritbot added a comment.Via ConduitJul 8 2014, 7:58 PM

Change 144748 had a related patch set uploaded by Manybubbles:
Raise regex timeout to 120 seconds

https://gerrit.wikimedia.org/r/144748

Manybubbles added a comment.Via ConduitJul 8 2014, 7:59 PM

Still need another patch - this one to make sure the regex comes last.

gerritbot added a comment.Via ConduitJul 9 2014, 1:28 AM

Change 144748 merged by jenkins-bot:
Raise regex timeout to 120 seconds

https://gerrit.wikimedia.org/r/144748

gerritbot added a comment.Via ConduitJul 9 2014, 8:32 PM

Change 145079 had a related patch set uploaded by Manybubbles:
Script filters are executed last

https://gerrit.wikimedia.org/r/145079

gerritbot added a comment.Via ConduitJul 9 2014, 8:42 PM

Change 145079 merged by jenkins-bot:
Script filters are executed last

https://gerrit.wikimedia.org/r/145079

tomasz added a comment.Via ConduitAug 5 2014, 8:12 PM

Both patches have been merged, assuming bug is fixed.

Please re-open if that's not the case.

Deskana moved this task to Resolved/Invalid/Declined/Legacy on the CirrusSearch workboard.Via WebApr 20 2015, 4:06 AM

Add Comment